﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WiimoteLib;
namespace BelajarWiimoteLagi222
{
    public partial class Form1 : Form
    {
        private Wiimote wiimote;
        private WiimoteState wiimoteState;
        public Form1()
        {
            InitializeComponent();
            wiimote = new Wiimote();
            try
            {
                wiimote.Connect();
                wiimote.SetReportType(InputReport.IRAccel, true);
            }
            catch (Exception ex)
            {
                wiimote = null;
                MessageBox.Show("There is no wiimote detected!");
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if(wiimote!= null)
            wiimoteState = wiimote.WiimoteState;
            BatteryValue.Text = wiimoteState.Battery.ToString();
            xValue.Text = wiimoteState.AccelState.Values.X.ToString();
            yValue.Text = wiimoteState.AccelState.Values.Y.ToString();
            zValue.Text = wiimoteState.AccelState.Values.Z.ToString();
            wiimote.SetLEDs(led1.Checked, led2.Checked, led3.Checked, led4.Checked);
            wiimote.SetRumble(rumble.Checked);
            upChk.Checked = wiimoteState.ButtonState.Up;
            bottomChk.Checked = wiimoteState.ButtonState.Down;
            leftChk.Checked = wiimoteState.ButtonState.Left;
            rightChk.Checked = wiimoteState.ButtonState.Right;

            int batt = (int)wiimoteState.Battery;
            if (batt < 0) batt = 0;
            else if (batt > 100) batt = 100;

            batteryLevel.Value = batt;

            xProg.Value = 50 + (int)(wiimoteState.AccelState.Values.X * 10);
            yProg.Value = 50 + (int)(wiimoteState.AccelState.Values.Y * 10);
            zProg.Value = 50 + (int)(wiimoteState.AccelState.Values.Z * 10);

            if (wiimoteState.IRState.IRSensors[0].Found)
            {
                IRText.Text = wiimoteState.IRState.IRSensors[0].Position.ToString();
            }

        }

        private void zValue_Click(object sender, EventArgs e)
        {

        }
    }
}
